Page MenuHomePhabricator

Use the element identifiers from RESTBase instead of generating new identifiers and overwriting
Closed, ResolvedPublic1 Story Points

Description

RESTBase api (example https://simple.wikipedia.org/api/rest_v1/page/html/Oxygen ) started providing identifiers for HTML elements. CXServer now overwrite these identifiers by its own generated identifiers.

CXServer can just reuse the identifiers from RESTBase output. It also helps to restore a draft translation more accurately for a new revision of source.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : wmf/1.26wmf16Use parsoid permanent ids for section instead of CX generated ids
mediawiki/extensions/ContentTranslation : wmf/1.26wmf15Use parsoid permanent ids for section instead of CX generated ids
mediawiki/extensions/ContentTranslation : masterUse parsoid permanent ids for section instead of CX generated ids
mediawiki/services/cxserver : masterReuse the element identifiers given by RESTBase

Event Timeline

santhosh created this task.Jun 16 2015, 6:58 AM
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2015, 6:58 AM

This looks great. Are the ids available on all pages already, or are there still cached pages without them?

Change 220441 had a related patch set uploaded (by Santhosh):
Reuse the element identifiers given by RESTBase

https://gerrit.wikimedia.org/r/220441

This looks great. Are the ids available on all pages already, or are there still cached pages without them?

We can fallback to id generation in such case. The client side also need to do this fallback because some of the drafts will be based on old source content. I am trying to make this change transparent to client side(drafts continue to work even if it was based on old source content with generated ids)

Change 220442 had a related patch set uploaded (by Santhosh):
[WIP] Changes to work with RESTBase ids for elements than CX generated ids

https://gerrit.wikimedia.org/r/220442

Amire80 set Security to None.
Amire80 moved this task from Backlog to Entry Points on the ContentTranslation-Release6 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 4:56 PM
santhosh raised the priority of this task from Medium to High.Jul 21 2015, 9:06 PM
santhosh added a project: LE-CX6-Sprint 1.
GWicke added a comment.EditedJul 21 2015, 9:18 PM

@santhosh & @Nikerabbit, all content retrieved from RESTBase has ids assigned. We have stored data-parsoid separately from the start, which is keyed on those ids.

santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.Jul 27 2015, 4:37 AM
Amire80 edited a custom field.Jul 27 2015, 4:21 PM

Change 220442 merged by jenkins-bot:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/220442

Change 220441 merged by jenkins-bot:
Reuse the element identifiers given by RESTBase

https://gerrit.wikimedia.org/r/220441

Change 227942 had a related patch set uploaded (by KartikMistry):
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227942

Change 227943 had a related patch set uploaded (by KartikMistry):
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227943

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 5 2015, 7:06 AM

Change 227942 abandoned by KartikMistry:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227942

Change 227943 abandoned by KartikMistry:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227943

Arrbee closed this task as Resolved.Aug 7 2015, 7:07 AM
Arrbee added a subscriber: Arrbee.